6.0.0-git
2021-01-19

[#11215] Horde Submit Login fails in some mobile devices
Summary Horde Submit Login fails in some mobile devices
Queue Horde Base
Queue Version 5.0.0beta5
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester alietsantiesteban (at) gmail (dot) com
Created 2012-06-06 (3149 days ago)
Due
Updated 2012-10-15 (3018 days ago)
Assigned 2012-10-10 (3023 days ago)
Resolved 2012-10-10 (3023 days ago)
Milestone
Patch No

History
2012-10-15 20:44:27 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (develop):

commit 4f1c9042c7ea8e16edebaba02b924167ca7e0c65
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Oct 10 01:09:27 2012 -0600

     [mms] Show non-javascript enhanced login screen for 
non-smartmobile mobile browsers (Bug #11215).

  horde/docs/CHANGES |    2 ++
  horde/login.php    |   25 +++++++++++++++----------
  horde/package.xml  |    2 ++
  3 files changed, 19 insertions(+), 10 deletions(-)

http://git.horde.org/horde-git/-/commit/4f1c9042c7ea8e16edebaba02b924167ca7e0c65
2012-10-10 07:11:07 Michael Slusarz Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
 
2012-10-10 07:09:41 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 4f1c9042c7ea8e16edebaba02b924167ca7e0c65
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Oct 10 01:09:27 2012 -0600

     [mms] Show non-javascript enhanced login screen for 
non-smartmobile mobile browsers (Bug #11215).

  horde/docs/CHANGES |    2 ++
  horde/login.php    |   25 +++++++++++++++----------
  horde/package.xml  |    2 ++
  3 files changed, 19 insertions(+), 10 deletions(-)

http://git.horde.org/horde-git/-/commit/4f1c9042c7ea8e16edebaba02b924167ca7e0c65
2012-10-10 06:57:12 Michael Slusarz Version ⇒ 5.0.0beta5
Queue ⇒ Horde Base
State ⇒ Assigned
 
2012-10-10 06:56:41 Michael Slusarz Comment #3
Assigned to Michael Slusarz
Assigned to Horde DevelopersHorde Developers
Reply to this comment
  Opera Mini 6.5 which is supposed to work with jquery mobile too.
Nope - works fine here, at least with Opera Mini 7.

Note: Opera Mini will **NOT** work with smartmobile mode, since it 
does not support AJAX.

But I do agree that we need to bring back a basic mobile login page 
for devices that do NOT support jquerymobile.
2012-06-06 21:44:10 vilius (at) lnk (dot) lt Comment #2 Reply to this comment
I can confirm this from as early as H4 ALPHA.

It doesn't work with native Sony Ericsson web browser and with Opera 
Mini 6.5 which is supposed to work with jquery mobile too.
2012-06-06 19:53:52 alietsantiesteban (at) gmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Horde Submit Login fails in some mobile devices
Due ⇒ 2012-06-06
Queue ⇒ Horde Groupware Webmail Edition
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi, we have upgraded from horde groupware webmail edition 3.x to 4.0.8 
version. This has broken Horde Login in some mobile devices wich 
worked as expected in earlier versions, we notice that login page 
renders in the device but Submit button doesn't works, and the POST 
request is never received in the server, maybe because some missing 
javascripts libraries wich fails in the mobile device. Here some of 
the mobile wich fails.

- Samsung C3300K using NetFront Browser v3.5
- Any kind of mobile using Opera 11.

We will apreciate your help.
Best regards

Saved Queries